#waifu-toggle {
  background-color: #fa0;
  border-radius: 5px;
  bottom: 66px;
  color: #fff;
  cursor: pointer;
  font-size: 12px;
  right: 0;
  margin-right: -90px;
  padding: 5px 2px 5px 5px;
  position: fixed;
  transition: margin-right 1s;
  width: 60px;
  writing-mode: vertical-lr;
}

#waifu-toggle.waifu-toggle-active {
  margin-right: -40px;
}

#waifu-toggle.waifu-toggle-active:hover {
  margin-right: -20px;
}

#waifu {
  bottom: 0px;
  right: 10px;
  line-height: 0;
  margin-bottom: -10px;
  position: fixed;
  transform: translateY(3px);
  transition: transform 0.3s ease-in-out, bottom 3s ease-in-out;
  z-index: 100;
}

#waifu:hover {
  transform: translateY(0);
}

#waifu-tips {
  animation: shake 50s ease-in-out 5s infinite;
  background-color: rgba(255, 255, 255, 0.8);
  border: 1px solid rgba(200, 200, 200, 0.8);
  border-radius: 12px;
  box-shadow: 0 3px 15px 2px rgba(255, 255, 255, 0.3);
  font-size: 14px;
  line-height: 24px;
  margin: -30px 20px;
  min-height: 70px;
  opacity: 0;
  overflow: hidden;
  padding: 5px 10px;
  position: absolute;
  text-overflow: ellipsis;
  transition: opacity 1s;
  width: 250px;
  word-break: break-all;
}

#waifu-tips.waifu-tips-active {
  opacity: 1;
  transition: opacity 0.2s;
}

#waifu-tips span {
  color: #0099cc;
}

#live2d {
  cursor: grab;
  height: 300px;
  position: relative;
  width: 300px;
}

#live2d:active {
  cursor: grabbing;
}

#waifu-tool {
  color: #aaa;
  opacity: 0;
  position: absolute;
  margin-left: 260px;
  top: 70px;
  transition: opacity 1s;
}

#waifu:hover #waifu-tool {
  opacity: 1;
}

#waifu-tool span {
  display: block;
  height: 38px;
  text-align: center;
}

#waifu-tool svg {
  fill: #7b8c9d;
  cursor: pointer;
  height: 30px;
  transition: fill 0.3s;
}

#waifu-tool svg:hover {
  fill: #0684bd;
}

@keyframes shake {
  2% { transform: translate(0.5px, -1.5px) rotate(-0.5deg); }
  4% { transform: translate(0.5px, 1.5px) rotate(1.5deg); }
  6% { transform: translate(1.5px, 1.5px) rotate(1.5deg); }
  8% { transform: translate(2.5px, 1.5px) rotate(0.5deg); }
  10% { transform: translate(0.5px, 2.5px) rotate(0.5deg); }
  12% { transform: translate(1.5px, 1.5px) rotate(0.5deg); }
  14% { transform: translate(0.5px, 0.5px) rotate(0.5deg); }
  16% { transform: translate(-1.5px, -0.5px) rotate(1.5deg); }
  18% { transform: translate(0.5px, 0.5px) rotate(1.5deg); }
  20% { transform: translate(2.5px, 2.5px) rotate(1.5deg); }
  22% { transform: translate(0.5px, -1.5px) rotate(1.5deg); }
  24% { transform: translate(-1.5px, 1.5px) rotate(-0.5deg); }
  26% { transform: translate(1.5px, 0.5px) rotate(1.5deg); }
  28% { transform: translate(-0.5px, -0.5px) rotate(-0.5deg); }
  30% { transform: translate(1.5px, -0.5px) rotate(-0.5deg); }
  32% { transform: translate(2.5px, -1.5px) rotate(1.5deg); }
  34% { transform: translate(2.5px, 2.5px) rotate(-0.5deg); }
  36% { transform: translate(0.5px, -1.5px) rotate(0.5deg); }
  38% { transform: translate(2.5px, -0.5px) rotate(-0.5deg); }
  40% { transform: translate(-0.5px, 2.5px) rotate(0.5deg); }
  42% { transform: translate(-1.5px, 2.5px) rotate(0.5deg); }
  44% { transform: translate(-1.5px, 1.5px) rotate(0.5deg); }
  46% { transform: translate(0.5px, -0.5px) rotate(-0.5deg); }
  48% { transform: translate(2.5px, -0.5px) rotate(0.5deg); }
  50% { transform: translate(-1.5px, 1.5px) rotate(0.5deg); }
  52% { transform: translate(-0.5px, 1.5px) rotate(0.5deg); }
  54% { transform: translate(-1.5px, 1.5px) rotate(0.5deg); }
  56% { transform: translate(0.5px, 2.5px) rotate(1.5deg); }
  58% { transform: translate(2.5px, 2.5px) rotate(0.5deg); }
  60% { transform: translate(2.5px, -1.5px) rotate(1.5deg); }
  62% { transform: translate(-1.5px, 0.5px) rotate(1.5deg); }
  64% { transform: translate(-1.5px, 1.5px) rotate(1.5deg); }
  66% { transform: translate(0.5px, 2.5px) rotate(1.5deg); }
  68% { transform: translate(2.5px, -1.5px) rotate(1.5deg); }
  70% { transform: translate(2.5px, 2.5px) rotate(0.5deg); }
  72% { transform: translate(-0.5px, -1.5px) rotate(1.5deg); }
  74% { transform: translate(-1.5px, 2.5px) rotate(1.5deg); }
  76% { transform: translate(-1.5px, 2.5px) rotate(1.5deg); }
  78% { transform: translate(-1.5px, 2.5px) rotate(0.5deg); }
  80% { transform: translate(-1.5px, 0.5px) rotate(-0.5deg); }
  82% { transform: translate(-1.5px, 0.5px) rotate(-0.5deg); }
  84% { transform: translate(-0.5px, 0.5px) rotate(1.5deg); }
  86% { transform: translate(2.5px, 1.5px) rotate(0.5deg); }
  88% { transform: translate(-1.5px, 0.5px) rotate(1.5deg); }
  90% { transform: translate(-1.5px, -0.5px) rotate(-0.5deg); }
  92% { transform: translate(-1.5px, -1.5px) rotate(1.5deg); }
  94% { transform: translate(0.5px, 0.5px) rotate(-0.5deg); }
  96% { transform: translate(2.5px, -0.5px) rotate(-0.5deg); }
  98% { transform: translate(-1.5px, -1.5px) rotate(-0.5deg); }
  0%, 100% { transform: translate(0, 0) rotate(0); }
}